Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class AbstractCreatorProcessor

    java.lang.Object
      com.sun.xml.stream.buffer.AbstractCreatorProcessor

Direct Known Subclasses:
  AbstractCreator, AbstractProcessor

    public abstract class AbstractCreatorProcessor

extends java.lang.Object

Field Summary
`protected char[]` | `_contentCharactersBuffer`
`protected int` | `_contentCharactersBufferPtr`
`protected java.lang.Object[]` | `_contentObjects`
`protected int` | `_contentObjectsPtr`
`protected com.sun.xml.stream.buffer.FragmentedArray<char[]>` | `_currentContentCharactersBufferFragment`
`protected com.sun.xml.stream.buffer.FragmentedArray<java.lang.Object[]>` | `_currentContentObjectFragment`
`protected com.sun.xml.stream.buffer.FragmentedArray<byte[]>` | `_currentStructureFragment`
`protected com.sun.xml.stream.buffer.FragmentedArray<java.lang.String[]>` | `_currentStructureStringFragment`
`protected byte[]` | `_structure`
`protected int` | `_structurePtr`
`protected java.lang.String[]` | `_structureStrings`
`protected int` | `_structureStringsPtr`
`protected static int` | `CHAR_ARRAY_LENGTH_MEDIUM`
`protected static int` | `CHAR_ARRAY_LENGTH_MEDIUM_SIZE`
`protected static int` | `CHAR_ARRAY_LENGTH_SMALL`
`protected static int` | `CHAR_ARRAY_LENGTH_SMALL_SIZE`
`protected static int` | `CONTENT_TYPE_CHAR_ARRAY`
`protected static int` | `CONTENT_TYPE_CHAR_ARRAY_COPY`
`protected static int` | `CONTENT_TYPE_OBJECT`
`protected static int` | `CONTENT_TYPE_STRING`
`protected static int` | `FLAG_DOCUMENT_FRAGMENT` Flag on a T_DOCUMENT to indicate if a fragment
`protected static int` | `FLAG_PREFIX`
`protected static int` | `FLAG_QUALIFIED_NAME`
`protected static int` | `FLAG_URI`
`protected static int` | `T_ATTRIBUTE`
`protected static int` | `T_ATTRIBUTE_LN`
`protected static int` | `T_ATTRIBUTE_LN_OBJECT`
`protected static int` | `T_ATTRIBUTE_P_U_LN`
`protected static int` | `T_ATTRIBUTE_P_U_LN_OBJECT`
`protected static int` | `T_ATTRIBUTE_U_LN`
`protected static int` | `T_ATTRIBUTE_U_LN_OBJECT`
`protected static int` | `T_ATTRIBUTE_U_LN_QN`
`protected static int` | `T_ATTRIBUTE_U_LN_QN_OBJECT`
`protected static int` | `T_COMMENT`
`protected static int` | `T_COMMENT_AS_CHAR_ARRAY`
`protected static int` | `T_COMMENT_AS_CHAR_ARRAY_COPY`
`protected static int` | `T_COMMENT_AS_CHAR_ARRAY_MEDIUM`
`protected static int` | `T_COMMENT_AS_CHAR_ARRAY_SMALL`
`protected static int` | `T_COMMENT_AS_STRING`
`protected static int` | `T_DOCUMENT`
`protected static int` | `T_DOCUMENT_FRAGMENT`
`protected static int` | `T_ELEMENT`
`protected static int` | `T_ELEMENT_LN`
`protected static int` | `T_ELEMENT_P_U_LN`
`protected static int` | `T_ELEMENT_U_LN`
`protected static int` | `T_ELEMENT_U_LN_QN`
`protected static int` | `T_END`
`protected static int` | `T_END_OF_BUFFER`
`protected static int` | `T_NAMESPACE_ATTRIBUTE`
`protected static int` | `T_NAMESPACE_ATTRIBUTE_P`
`protected static int` | `T_NAMESPACE_ATTRIBUTE_P_U`
`protected static int` | `T_NAMESPACE_ATTRIBUTE_U`
`protected static int` | `T_PROCESSING_INSTRUCTION`
`protected static int` | `T_TEXT`
`protected static int` | `T_TEXT_AS_CHAR_ARRAY`
`protected static int` | `T_TEXT_AS_CHAR_ARRAY_COPY`
`protected static int` | `T_TEXT_AS_CHAR_ARRAY_MEDIUM`
`protected static int` | `T_TEXT_AS_CHAR_ARRAY_SMALL`
`protected static int` | `T_TEXT_AS_OBJECT`
`protected static int` | `T_TEXT_AS_STRING`
`protected static int` | `T_UNEXPANDED_ENTITY_REFERENCE`
`protected static int` | `TYPE_MASK`
`protected static int` | `VALUE_TYPE_OBJECT`
`protected static int` | `VALUE_TYPE_STRING`

Constructor Summary
`AbstractCreatorProcessor()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_DOCUMENT_FRAGMENT

    protected static final int FLAG_DOCUMENT_FRAGMENT

  Flag on a T_DOCUMENT to indicate if a fragment

  See Also:
    Constant Field Values

### FLAG_PREFIX

    protected static final int FLAG_PREFIX

See Also:
  Constant Field Values

### FLAG_URI

    protected static final int FLAG_URI

See Also:
  Constant Field Values

### FLAG_QUALIFIED_NAME

    protected static final int FLAG_QUALIFIED_NAME

See Also:
  Constant Field Values

### CONTENT_TYPE_CHAR_ARRAY

    protected static final int CONTENT_TYPE_CHAR_ARRAY

See Also:
  Constant Field Values

### CONTENT_TYPE_CHAR_ARRAY_COPY

    protected static final int CONTENT_TYPE_CHAR_ARRAY_COPY

See Also:
  Constant Field Values

### CONTENT_TYPE_STRING

    protected static final int CONTENT_TYPE_STRING

See Also:
  Constant Field Values

### CONTENT_TYPE_OBJECT

    protected static final int CONTENT_TYPE_OBJECT

See Also:
  Constant Field Values

### CHAR_ARRAY_LENGTH_SMALL

    protected static final int CHAR_ARRAY_LENGTH_SMALL

See Also:
  Constant Field Values

### CHAR_ARRAY_LENGTH_MEDIUM

    protected static final int CHAR_ARRAY_LENGTH_MEDIUM

See Also:
  Constant Field Values

### CHAR_ARRAY_LENGTH_SMALL_SIZE

    protected static final int CHAR_ARRAY_LENGTH_SMALL_SIZE

See Also:
  Constant Field Values

### CHAR_ARRAY_LENGTH_MEDIUM_SIZE

    protected static final int CHAR_ARRAY_LENGTH_MEDIUM_SIZE

See Also:
  Constant Field Values

### VALUE_TYPE_STRING

    protected static final int VALUE_TYPE_STRING

See Also:
  Constant Field Values

### VALUE_TYPE_OBJECT

    protected static final int VALUE_TYPE_OBJECT

See Also:
  Constant Field Values

### TYPE_MASK

    protected static final int TYPE_MASK

See Also:
  Constant Field Values

### T_END

    protected static final int T_END

See Also:
  Constant Field Values

### T_DOCUMENT

    protected static final int T_DOCUMENT

See Also:
  Constant Field Values

### T_ELEMENT

    protected static final int T_ELEMENT

See Also:
  Constant Field Values

### T_ATTRIBUTE

    protected static final int T_ATTRIBUTE

See Also:
  Constant Field Values

### T_NAMESPACE_ATTRIBUTE

    protected static final int T_NAMESPACE_ATTRIBUTE

See Also:
  Constant Field Values

### T_TEXT

    protected static final int T_TEXT

See Also:
  Constant Field Values

### T_COMMENT

    protected static final int T_COMMENT

See Also:
  Constant Field Values

### T_PROCESSING_INSTRUCTION

    protected static final int T_PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### T_UNEXPANDED_ENTITY_REFERENCE

    protected static final int T_UNEXPANDED_ENTITY_REFERENCE

See Also:
  Constant Field Values

### T_DOCUMENT_FRAGMENT

    protected static final int T_DOCUMENT_FRAGMENT

See Also:
  Constant Field Values

### T_ELEMENT_U_LN_QN

    protected static final int T_ELEMENT_U_LN_QN

See Also:
  Constant Field Values

### T_ELEMENT_P_U_LN

    protected static final int T_ELEMENT_P_U_LN

See Also:
  Constant Field Values

### T_ELEMENT_U_LN

    protected static final int T_ELEMENT_U_LN

See Also:
  Constant Field Values

### T_ELEMENT_LN

    protected static final int T_ELEMENT_LN

See Also:
  Constant Field Values

### T_NAMESPACE_ATTRIBUTE_P

    protected static final int T_NAMESPACE_ATTRIBUTE_P

See Also:
  Constant Field Values

### T_NAMESPACE_ATTRIBUTE_P_U

    protected static final int T_NAMESPACE_ATTRIBUTE_P_U

See Also:
  Constant Field Values

### T_NAMESPACE_ATTRIBUTE_U

    protected static final int T_NAMESPACE_ATTRIBUTE_U

See Also:
  Constant Field Values

### T_ATTRIBUTE_U_LN_QN

    protected static final int T_ATTRIBUTE_U_LN_QN

See Also:
  Constant Field Values

### T_ATTRIBUTE_P_U_LN

    protected static final int T_ATTRIBUTE_P_U_LN

See Also:
  Constant Field Values

### T_ATTRIBUTE_U_LN

    protected static final int T_ATTRIBUTE_U_LN

See Also:
  Constant Field Values

### T_ATTRIBUTE_LN

    protected static final int T_ATTRIBUTE_LN

See Also:
  Constant Field Values

### T_ATTRIBUTE_U_LN_QN_OBJECT

    protected static final int T_ATTRIBUTE_U_LN_QN_OBJECT

See Also:
  Constant Field Values

### T_ATTRIBUTE_P_U_LN_OBJECT

    protected static final int T_ATTRIBUTE_P_U_LN_OBJECT

See Also:
  Constant Field Values

### T_ATTRIBUTE_U_LN_OBJECT

    protected static final int T_ATTRIBUTE_U_LN_OBJECT

See Also:
  Constant Field Values

### T_ATTRIBUTE_LN_OBJECT

    protected static final int T_ATTRIBUTE_LN_OBJECT

See Also:
  Constant Field Values

### T_TEXT_AS_CHAR_ARRAY

    protected static final int T_TEXT_AS_CHAR_ARRAY

See Also:
  Constant Field Values

### T_TEXT_AS_CHAR_ARRAY_SMALL

    protected static final int T_TEXT_AS_CHAR_ARRAY_SMALL

See Also:
  Constant Field Values

### T_TEXT_AS_CHAR_ARRAY_MEDIUM

    protected static final int T_TEXT_AS_CHAR_ARRAY_MEDIUM

See Also:
  Constant Field Values

### T_TEXT_AS_CHAR_ARRAY_COPY

    protected static final int T_TEXT_AS_CHAR_ARRAY_COPY

See Also:
  Constant Field Values

### T_TEXT_AS_STRING

    protected static final int T_TEXT_AS_STRING

See Also:
  Constant Field Values

### T_TEXT_AS_OBJECT

    protected static final int T_TEXT_AS_OBJECT

See Also:
  Constant Field Values

### T_COMMENT_AS_CHAR_ARRAY

    protected static final int T_COMMENT_AS_CHAR_ARRAY

See Also:
  Constant Field Values

### T_COMMENT_AS_CHAR_ARRAY_SMALL

    protected static final int T_COMMENT_AS_CHAR_ARRAY_SMALL

See Also:
  Constant Field Values

### T_COMMENT_AS_CHAR_ARRAY_MEDIUM

    protected static final int T_COMMENT_AS_CHAR_ARRAY_MEDIUM

See Also:
  Constant Field Values

### T_COMMENT_AS_CHAR_ARRAY_COPY

    protected static final int T_COMMENT_AS_CHAR_ARRAY_COPY

See Also:
  Constant Field Values

### T_COMMENT_AS_STRING

    protected static final int T_COMMENT_AS_STRING

See Also:
  Constant Field Values

### T_END_OF_BUFFER

    protected static final int T_END_OF_BUFFER

See Also:
  Constant Field Values

### _currentStructureFragment

    protected com.sun.xml.stream.buffer.FragmentedArray<byte[]> _currentStructureFragment

### _structure

    protected byte[] _structure

### _structurePtr

    protected int _structurePtr

### _currentStructureStringFragment

    protected com.sun.xml.stream.buffer.FragmentedArray<java.lang.String[]> _currentStructureStringFragment

### _structureStrings

    protected java.lang.String[] _structureStrings

### _structureStringsPtr

    protected int _structureStringsPtr

### _currentContentCharactersBufferFragment

    protected com.sun.xml.stream.buffer.FragmentedArray<char[]> _currentContentCharactersBufferFragment

### _contentCharactersBuffer

    protected char[] _contentCharactersBuffer

### _contentCharactersBufferPtr

    protected int _contentCharactersBufferPtr

### _currentContentObjectFragment

    protected com.sun.xml.stream.buffer.FragmentedArray<java.lang.Object[]> _currentContentObjectFragment

### _contentObjects

    protected java.lang.Object[] _contentObjects

### _contentObjectsPtr

    protected int _contentObjectsPtr

Constructor Detail

### AbstractCreatorProcessor

    public AbstractCreatorProcessor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD